<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/bg_dialog"
    android:orientation="vertical"
    android:padding="@dimen/dp_38">

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_track_dfu_title"
        style="@style/my_TextView_style"
        android:layout_marginTop="@dimen/dp_6"
        android:text="@string/txt_firmware_upgrade"
        android:textColor="@color/black"
        android:textSize="@dimen/textSize20"
        app:typeface="@string/roboto_bold_font" />

    <androidx.core.widget.NestedScrollView
        android:id="@+id/sv_track_dfu_content"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_100"
        android:layout_below="@id/tv_track_dfu_title"
        android:layout_marginTop="@dimen/dp_8">

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_track_dfu_content"
            style="@style/my_TextView_style"
            android:layout_marginStart="@dimen/dp_10"
            android:gravity="start"
            android:text="@string/txt_firmware_upgrade"
            android:textColor="@color/black60"
            android:textSize="15sp"
            app:typeface="@string/roboto_regular_font" />

    </androidx.core.widget.NestedScrollView>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/track_dfu_state_list_recycler_view"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_110"
        android:layout_below="@id/tv_track_dfu_title"
        android:layout_marginTop="@dimen/dp_8"
        android:visibility="gone" />


    <com.abbidot.tracker.widget.TypefaceRoundButton
        android:id="@+id/btn_track_dfu_cancel"
        style="@style/my_QMUIRoundButton_big_style"
        android:layout_width="@dimen/dp_90"
        android:layout_height="@dimen/dp_38"
        android:layout_below="@id/sv_track_dfu_content"
        android:layout_alignParentStart="true"
        android:layout_marginStart="@dimen/dp_12"
        android:layout_marginTop="@dimen/dp_10"
        android:text="@string/txt_cancel"
        android:textSize="@dimen/textSize14"
        app:qmui_backgroundColor="@color/white"
        app:qmui_borderColor="@color/txt_button"
        app:qmui_borderWidth="0.55dp"
        app:typeface="@string/roboto_bold_font" />

    <com.abbidot.tracker.widget.TypefaceRoundButton
        android:id="@+id/btn_track_dfu_ok"
        style="@style/my_QMUIRoundButton_big_style"
        android:layout_width="@dimen/dp_100"
        android:layout_height="@dimen/dp_38"
        android:layout_below="@id/sv_track_dfu_content"
        android:layout_alignParentEnd="true"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginEnd="@dimen/dp_12"
        android:text="@string/txt_upgrade"
        android:textSize="@dimen/textSize14"
        app:qmui_backgroundColor="@color/btn_yellow_color"
        app:qmui_borderColor="@color/btn_yellow_color"
        app:qmui_borderWidth="0.55dp"
        app:typeface="@string/roboto_bold_font" />
</RelativeLayout>

